/*
 * config.h
 *
 * Copyright (C) 2011 Tim Marston <tim@ed.am> and Dan Marston.
 *
 * This file is part of propeller-clock (hereafter referred to as "this
 * program"). See http://ed.am/dev/software/arduino/propeller-clock for more
 * information.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef _CONFIG_H_
#define _CONFIG_H_


// number of segments in a full display (rotation) is 60 (one per
// second) times the desired number of sub-divisions of a second
#define NUM_SECOND_SEGMENTS 6
#define NUM_SEGMENTS ( 60 * NUM_SECOND_SEGMENTS )

// clock draw direction
#define CLOCK_FORWARD 0

// rotate display (in segments)
#define CLOCK_SHIFT ( 58 * NUM_SECOND_SEGMENTS - 1 )

// scrolly text speed (segments per second)
#define TEXT_SCROLL_SPEED ( 15 * NUM_SECOND_SEGMENTS )


#endif //_CONFIG_H_
